package org.jeecg.modules.hanHaiMember.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.hanHaiMember.resp.MyUserResp;
import org.jeecg.modules.hanHaiMember.resp.ShopIndexResp;
import org.jeecg.modules.hotelshoppingcat.resp.ShoppingCartPageResp;

/**
 * @Description: 用户表
 * @Author: jeecg-boot
 * @Date:   2024-07-08
 * @Version: V1.0
 */
public interface HanHaiMemberMapper extends BaseMapper<HanHaiMember> {

    /**
     * 获取我的用户和待水洗
     * @param page
     * @param shopId
     * @return
     */
    IPage<MyUserResp> getMyUser(Page<MyUserResp> page,@Param("shopId") String shopId);

    /**
     * 获取水洗店的首页数据
     * @param userId
     * @param shopId
     * @return
     */
    ShopIndexResp getShopIndex(@Param("userId") String userId,@Param("shopId") String shopId);

    /**
     * 修改用户id
     * @param oldId
     * @param newId
     * @return
     */
    Integer updateUserId(@Param("oldId") String oldId,@Param("newId") String newId);

}
