package org.jeecg.modules.hanHaiMember.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.hanHaiMember.resp.MyUserResp;
import org.jeecg.modules.hanHaiMember.resp.ShopIndexResp;

/**
 * @Description: 用户表
 * @Author: jeecg-boot
 * @Date:   2024-07-08
 * @Version: V1.0
 */
public interface IHanHaiMemberService extends IService<HanHaiMember> {

    IPage<MyUserResp> getMyUser(Page<MyUserResp> page, String shopId);

    ShopIndexResp getShopIndex(String userId, String shopId);

    /**
     * 修改用户id
     * @param oldId 老id
     * @param newId 新id
     * @return
     */
    Integer updateUserId(@Param("oldId") String oldId,@Param("newId") String newId);
}
