package org.jeecg.modules.hotelbalancelog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_balance_log
 * @Author: jeecg-boot
 * @Date:   2024-09-21
 * @Version: V1.0
 */
@Data
@TableName("hotel_balance_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_balance_log对象", description="hotel_balance_log")
public class HotelBalanceLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private java.lang.String userId;
	/**余额*/
	@Excel(name = "余额", width = 15)
    @ApiModelProperty(value = "余额")
    private java.math.BigDecimal balance;
	/**用户余额*/
	@Excel(name = "用户余额", width = 15)
    @ApiModelProperty(value = "用户余额")
    private java.math.BigDecimal userBalance;
	/**类型 余额记录0   提现记录1   佣金记录2*/
	@Dict(dicCode = "balance_type")
	@Excel(name = "类型 余额记录0   提现记录1   佣金记录2", width = 15)
    @ApiModelProperty(value = "类型 0交易 1提现")
    private java.lang.Integer type;
	/**状态 0未审核 1已审核未打款 2已打款 3审核未通过*/
	@Dict(dicCode = "balance_status")
	@Excel(name = "状态 0未审核 1已审核未打款 2已打款 3审核未通过", width = 15)
    @ApiModelProperty(value = "状态 0未审核 1已审核未打款 2已打款 3审核未通过")
    private java.lang.Integer status;
	/**是否删除 0否 1是*/
	@TableLogic
	@Dict(dicCode = "is_delete")
	@Excel(name = "是否删除 0否 1是", width = 15)
    @ApiModelProperty(value = "是否删除 0否 1是")
    private java.lang.Integer delFlag;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
	/**提现姓名*/
	private String name;
	/**手机号*/
	private String phone;
	/**银行卡号*/
	private String bankCard;
	/**银行支行*/
	private String bankAddress;
	/**标题*/
	private String title;
	/**支付类型 0支出 1收入*/
	private Integer payType;
	/**平台服务费*/
	private BigDecimal platformServicePrice;
	/**订单Id*/
	private String orderId;
}
