package org.jeecg.modules.hotelcategory.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.Table;
import org.jeecg.modules.hotelcategoryitem.entity.HotelCategoryItem;
import org.jeecg.modules.hotelgoods.entity.HotelGoods;
import org.jeecg.modules.hotelgoodssku.entity.HotelGoodsSku;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_category
 * @Author: jeecg-boot
 * @Date:   2024-09-10
 * @Version: V1.0
 */
@Data
@TableName("hotel_category")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_category对象", description="hotel_category")
public class HotelCategory implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**类名*/
	@Excel(name = "类名", width = 15)
    @ApiModelProperty(value = "类名")
    private java.lang.String name;
	/**编码*/
	@Excel(name = "编码", width = 15)
    @ApiModelProperty(value = "编码")
    private java.lang.String code;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private java.lang.Integer sort;
	/**是否删除 0否 1是*/
    @TableLogic
	@Dict(dicCode = "is_delete")
	@Excel(name = "是否删除 0否 1是", width = 15)
    @ApiModelProperty(value = "是否删除 0否 1是")
    private java.lang.Integer delFlag;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**水洗价格*/
	private BigDecimal price;

    @TableField(exist = false)
	private List<HotelCategoryItem> hotelCategoryItems;
    @TableField(exist = false)
    private List<HotelGoodsSku> hotelGoodsSkuList;
    @TableField(exist = false)
    private List<HotelGoods> hotelGoodsList;
}
