package org.jeecg.modules.hotelcoupon.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_coupon
 * @Author: jeecg-boot
 * @Date:   2024-10-14
 * @Version: V1.0
 */
@Data
@TableName("hotel_coupon")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_coupon对象", description="hotel_coupon")
public class HotelCoupon implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**优惠券名*/
	@Excel(name = "优惠券名", width = 15)
    @ApiModelProperty(value = "优惠券名")
    private java.lang.String name;
	/**图片*/
	@Excel(name = "图片", width = 15)
    @ApiModelProperty(value = "图片")
    private java.lang.String pic;
	/**券额*/
	@Excel(name = "券额", width = 15)
    @ApiModelProperty(value = "券额")
    private java.math.BigDecimal price;
	/**满多少金额*/
	@Excel(name = "满多少金额", width = 15)
    @ApiModelProperty(value = "满多少金额")
    private java.math.BigDecimal conditionPrice;
	/**说明*/
	@Excel(name = "说明", width = 15)
    @ApiModelProperty(value = "说明")
    private java.lang.String info;
	/**优惠券结束时间*/
	@Excel(name = "优惠券结束时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "优惠券结束时间")
    private java.util.Date endTime;
	/**类型 0指定时间 1单次*/
	@Excel(name = "类型 0指定时间 1单次", width = 15, dicCode = "coupon_type")
	@Dict(dicCode = "coupon_type")
    @ApiModelProperty(value = "类型 0指定时间 1单次")
    private java.lang.Integer type;
	/**是否删除*/
	@Excel(name = "是否删除", width = 15, dicCode = "is_delete")
	@Dict(dicCode = "is_delete")
    @ApiModelProperty(value = "是否删除")
    private java.lang.Integer delFlag;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**使用类型 0押金 1租金 2水洗*/
	@Dict(dicCode = "coupon_use_type")
	private Integer useType;
}
