package org.jeecg.modules.hotelcouponlog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_coupon_log
 * @Author: jeecg-boot
 * @Date:   2024-10-14
 * @Version: V1.0
 */
@Data
@TableName("hotel_coupon_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_coupon_log对象", description="hotel_coupon_log")
public class HotelCouponLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**优惠券编号*/
	@Excel(name = "优惠券编号", width = 15)
    @ApiModelProperty(value = "优惠券编号")
    private java.lang.String couponId;
	/**用户编号*/
	@Excel(name = "用户编号", width = 15)
    @ApiModelProperty(value = "用户编号")
    private java.lang.String userId;
	/**优惠券名*/
	@Excel(name = "优惠券名", width = 15)
    @ApiModelProperty(value = "优惠券名")
    private java.lang.String couponName;
	/**图片*/
	@Excel(name = "图片", width = 15)
    @ApiModelProperty(value = "图片")
    private java.lang.String pic;
	/**券额*/
	@Excel(name = "券额", width = 15)
    @ApiModelProperty(value = "券额")
    private java.math.BigDecimal price;
	/**满足多少金额*/
	@Excel(name = "满足多少金额", width = 15)
    @ApiModelProperty(value = "满足多少金额")
    private java.math.BigDecimal conditionPrice;
	/**结束时间*/
	@Excel(name = "结束时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "结束时间")
    private java.util.Date endTime;
	/**类型 0指定时间 1单次使用*/
	@Excel(name = "类型 0指定时间 1单次使用", width = 15, dicCode = "coupon_type")
	@Dict(dicCode = "coupon_type")
    @ApiModelProperty(value = "类型 0指定时间 1单次使用")
    private java.lang.Integer type;
	/**状态 0未使用 1已使用*/
	@Excel(name = "状态 0未使用 1已使用", width = 15, dicCode = "coupon_log_status")
	@Dict(dicCode = "coupon_log_status")
    @ApiModelProperty(value = "状态 0未使用 1已使用")
    private java.lang.Integer status;
	/**是否删除*/
	@Excel(name = "是否删除", width = 15, dicCode = "is_delete")
	@Dict(dicCode = "is_delete")
    @ApiModelProperty(value = "是否删除")
    private java.lang.Integer delFlag;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
    /**使用类型 0押金 1租金 2水洗*/
    @Dict(dicCode = "coupon_use_type")
    private Integer useType;
    private String orderLogId;
}
