package org.jeecg.modules.hotelleaselog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_lease_log
 * @Author: jeecg-boot
 * @Date:   2024-09-21
 * @Version: V1.0
 */
@Data
@TableName("hotel_lease_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_lease_log对象", description="hotel_lease_log")
public class HotelLeaseLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private java.lang.String userId;
	/**店铺id*/
	@Excel(name = "店铺id", width = 15)
    @ApiModelProperty(value = "店铺id")
    private java.lang.String shopId;
	/**订单id*/
	@Excel(name = "订单id", width = 15)
    @ApiModelProperty(value = "订单id")
    private java.lang.String orderId;
	/**商品id*/
	@Excel(name = "商品id", width = 15)
    @ApiModelProperty(value = "商品id")
    private java.lang.String goodsId;
	/**规格id*/
	@Excel(name = "规格id", width = 15)
    @ApiModelProperty(value = "规格id")
    private java.lang.String skuId;
	/**租赁开始时间*/
	@Excel(name = "租赁开始时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "租赁开始时间")
    private java.util.Date startTime;
	/**租赁结束时间*/
	@Excel(name = "租赁结束时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "租赁结束时间")
    private java.util.Date endTime;
	/**是否删除 0否 1是*/
	@TableLogic
	@Dict(dicCode = "is_delete")
	@Excel(name = "是否删除 0否 1是", width = 15)
    @ApiModelProperty(value = "是否删除 0否 1是")
    private java.lang.Integer delFlag;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
	private String goodsName;
	private String goodsPic;
	private String sku;
	/**状态 0正常 1换货 2退货*/
	@Dict(dicCode = "lease_log_status")
	private Integer status;
	/**数量*/
	private Integer num;
	/**金额*/
	private BigDecimal price;
	/**来自用户Id*/
	private String formUserId;
	/**是否为租赁水布 0否 1是*/
	@Dict(dicCode = "is_delete")
	private Integer leaseFlag;
	/**分类id*/
	private String categoryId;
	@TableField(exist = false)
	private BigDecimal zujin;
	@TableField(exist = false)
	private BigDecimal washPrice;
	@TableField(exist = false)
	private String isWash;
	private String orderDetailId;
}
