package org.jeecg.modules.hotelorderdetail.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_order_detail
 * @Author: jeecg-boot
 * @Date:   2024-10-15
 * @Version: V1.0
 */
@Data
@TableName("hotel_order_detail")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_order_detail对象", description="hotel_order_detail")
public class HotelOrderDetail implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**订单编号*/
	@Excel(name = "订单编号", width = 15)
    @ApiModelProperty(value = "订单编号")
    private java.lang.String orderId;
	/**商品编号*/
	@Excel(name = "商品编号", width = 15)
    @ApiModelProperty(value = "商品编号")
    private java.lang.String goodsId;
	/**规格编号*/
	@Excel(name = "规格编号", width = 15)
    @ApiModelProperty(value = "规格编号")
    private java.lang.String skuId;
	/**商品名*/
	@Excel(name = "商品名", width = 15)
    @ApiModelProperty(value = "商品名")
    private java.lang.String goodsName;
	/**商品图*/
	@Excel(name = "商品图", width = 15)
    @ApiModelProperty(value = "商品图")
    private java.lang.String pic;
	/**规格*/
	@Excel(name = "规格", width = 15)
    @ApiModelProperty(value = "规格")
    private java.lang.String sku;
	/**押金*/
	@Excel(name = "押金", width = 15)
    @ApiModelProperty(value = "押金")
    private java.math.BigDecimal deposit;
	/**租金*/
	@Excel(name = "租金", width = 15)
    @ApiModelProperty(value = "租金")
    private java.math.BigDecimal rentPay;
	/**水洗费用*/
	@Excel(name = "水洗费用", width = 15)
    @ApiModelProperty(value = "水洗费用")
    private java.math.BigDecimal washPay;
	/**优惠金额*/
	@Excel(name = "优惠金额", width = 15)
    @ApiModelProperty(value = "优惠金额")
    private java.math.BigDecimal discountPrice;
	/**是否删除*/
	@TableLogic
	@Excel(name = "是否删除", width = 15, dicCode = "is_delete")
	@Dict(dicCode = "is_delete")
    @ApiModelProperty(value = "是否删除")
    private java.lang.Integer delFlag;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
	private Integer num;
	/**应付金额*/
	private BigDecimal originalPrice;
	/**实付金额*/
	private BigDecimal orderPay;
	/**分类id*/
	private String categoryId;
	private String leaseId;
	/**0正常 1换货*/
	private Integer status;
	private String orderDetailId;
}
