package org.jeecg.modules.hotelorderlog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.hotelorder.entity.HotelOrder;
import org.jeecg.modules.hotelorderflow.entity.HotelOrderFlow;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_order_log
 * @Author: jeecg-boot
 * @Date:   2024-09-26
 * @Version: V1.0
 */
@Data
@TableName("hotel_order_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_order_log对象", description="hotel_order_log")
public class HotelOrderLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**支付金额*/
	@Excel(name = "支付金额", width = 15)
    @ApiModelProperty(value = "支付金额")
    private java.math.BigDecimal orderPay;
	/**是否支付 0否 1是*/
	@Excel(name = "是否支付 0否 1是", width = 15)
    @ApiModelProperty(value = "是否支付 0否 1是")
    private java.lang.Integer isPay;
	/**是否删除*/
    @TableLogic
    @Dict(dicCode = "is_delete")
	@Excel(name = "是否删除", width = 15)
    @ApiModelProperty(value = "是否删除")
    private java.lang.Integer delFlag;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**购买人*/
	private String userId;
	/**优惠后的支付金额*/
	private BigDecimal discountOrderPay;
    /**类型 0租赁 1水洗  2破损 3退货*/
    @Dict(dicCode = "hotel_order_type")
    @Excel(name = "类型 0租赁 1水洗  2破损 3退货", width = 15)
    @ApiModelProperty(value = "类型 0租赁 1水洗  2破损 3退货")
	private Integer type;
    private String shopId;
    @TableField(exist = false)
    private List<HotelOrder> details;
    @TableField(exist = false)
    private List<HotelOrderFlow> hotelOrderFlows;
    private String payInfo;
}
