package org.jeecg.modules.hotelshop.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: hotel_shop
 * @Author: jeecg-boot
 * @Date:   2024-09-16
 * @Version: V1.0
 */
@Data
@TableName("hotel_shop")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="hotel_shop对象", description="hotel_shop")
public class HotelShop implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**商铺名*/
	@Excel(name = "商铺名", width = 15)
    @ApiModelProperty(value = "商铺名")
    private java.lang.String name;
	/**userId*/
	@Excel(name = "userId", width = 15)
    @ApiModelProperty(value = "userId")
    private java.lang.String userId;
	/**店主名*/
	@Excel(name = "店主名", width = 15)
    @ApiModelProperty(value = "店主名")
    private java.lang.String userName;
	/**手机号*/
	@Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private java.lang.String phone;
	/**latitude*/
	@Excel(name = "latitude", width = 15)
    @ApiModelProperty(value = "latitude")
    private java.lang.String latitude;
	/**longitude*/
	@Excel(name = "longitude", width = 15)
    @ApiModelProperty(value = "longitude")
    private java.lang.String longitude;
	/**地址*/
	@Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
    private java.lang.String address;
	/**0未审核 1审核通过 2审核未通过*/
	@Dict(dicCode = "shop_status")
	private Integer status;
	/**delFlag*/
	@TableLogic
	@Dict(dicCode = "is_delete")
	@Excel(name = "delFlag", width = 15)
    @ApiModelProperty(value = "delFlag")
    private java.lang.Integer delFlag;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**标签*/
	@Dict(dicCode = "shop_label")
	private String label;
	/**营业时间*/
	private String jobTime;
	/**图片*/
	private String pic;
	/**绑定用户上限*/
	private Integer userNum;
	/**距离*/
	@TableField(exist = false)
	private Double distance;
	@TableField(exist = false)
	private Integer num;
	/**分佣比例*/
	private BigDecimal rate;
	@TableField(exist = false)
	private String password;
	/**酒店用户id*/
	private String oldId;
	/**水洗店用户id*/
	private String newId;
}
